
<?php
// app/Controllers/EventController.php

require_once(__DIR__ . '/../Models/Event.php');

class EventController {
    private $eventModel;

    public function __construct() {
        $this->eventModel = new EventModel();
    }

    public function createEvent($stock, $createdTime, $details, $gambar) {
        $eventModel = new EventModel();
        $eventModel->createEvent($stock, $createdTime, $details, $gambar);
    }

    public function getEvent($eventId) {
        return $this->eventModel->getEvent($eventId);
    }

    public function updateEvent($eventId, $stock, $createdTime, $details, $gambar) {
        $eventModel = new EventModel();
        $eventModel->updateEvent($eventId, $stock, $createdTime, $details, $gambar);
    }

    public function deleteEvent($eventId) {
        return $this->eventModel->deleteEvent($eventId);
    }

    public function getAllEvents() {
        return $this->eventModel->getAllEvents();
    }
}
?>