<?php
// app/controllers/pembelianController.php

// require_once 'Pembelian.php';
require_once(__DIR__ . '/../Models/Pembelian.php');

class PembelianController {
    private $pembelianModel;

    public function __construct() {
        $this->pembelianModel = new PembelianModel();
    }

    public function createPembelian($ticketId, $userId, $createdTime) {
        return $this->pembelianModel->createPembelian($ticketId, $userId, $createdTime);
    }

    public function getPembelian($pembelianId) {
        return $this->pembelianModel->getPembelian($pembelianId);
    }

    public function updatePembelian($pembelianId, $ticketId, $userId, $createdTime) {
        return $this->pembelianModel->updatePembelian($pembelianId, $ticketId, $userId, $createdTime);
    }

    public function deletePembelian($pembelianId) {
        return $this->pembelianModel->deletePembelian($pembelianId);
    }

    public function getAllPembelian(){
        return $this->pembelianModel->getAllPembelian();
    }
}
?>
