<?php
// app/controllers/ticketController.php

// require_once 'Ticket.php';
require_once(__DIR__ . '/../Models/Ticket.php');

class TicketController {
    private $ticketModel;

    public function __construct() {
        $this->ticketModel = new TicketModel();
    }

    public function createTicket($name, $price, $eventId) {
        return $this->ticketModel->createTicket($name, $price, $eventId);
    }

    public function getTicket($ticketId) {
        return $this->ticketModel->getTicket($ticketId);
    }

    public function updateTicket($ticketId, $name, $price, $eventId) {
        return $this->ticketModel->updateTicket($ticketId, $name, $price, $eventId);
    }

    public function deleteTicket($ticketId) {
        return $this->ticketModel->deleteTicket($ticketId);
    }
}
?>
