<?php
include 'connect.php';

$dotenvContents = file_get_contents(__DIR__ . '/../.env');
$dotenvLines = explode("\n", $dotenvContents);

foreach ($dotenvLines as $line) {
    // Skip empty lines and comments
    if (!empty($line) && strpos($line, '=') !== false && strpos($line, '#') !== 0) {
        list($name, $value) = explode('=', $line, 2);
        $_ENV[$name] = $value;
        putenv("$name=$value");
    }
}

error_reporting(E_ALL);
ini_set('display_errors', 1);


include 'reset.php';
include 'data.php';

$db = null;

// echo "Database initialization successful!";
?>
